# SwiftBoost

Collection of Swift-extensions to boost development process.
 
### Community

<p float="left">
    <a href="https://discord.gg/K9SKMTKVNH">
        <img src="https://cdn.sparrowcode.io/github/badges/discord.png?version=2" height="52">
    </a>
    <a href="#apps-using">
        <img src="https://cdn.sparrowcode.io/github/badges/download-on-the-appstore.png?version=2" height="52">
    </a>
    <a href="https://github.com/sponsors/sparrowcode">
        <img src="https://cdn.sparrowcode.io/github/badges/github-sponsor.png?version=3" height="52">
    </a>
</p>

## Navigate

- [Installation](#installation)
    - [Swift Package Manager](#swift-package-manager)
    - [CocoaPods](#cocoapods)
    - [Manually](#manually)
- Foundation
    - Array
    - Bool
    - Calendar
    - Collection
    - Date
    - Delay
    - Do
    - Locale
    - String
- UIKit
    - UIAlertController
    - UIApplication
    - UIButton
    - UICollectionView
    - UIColor
    - UIFont
    - UIImage
    - UINavigationBar
    - UINavigationController
    - UIScrollView
    - UISegmentedControl
    - UITabBarController
    - UITabBar
    - UITableView
    - UIViewController
    - UIView
- CoreGraphics
    - CGPoint
    - CGRect
    - CGSizes
- [Apps Using](#apps-using)

## Installation

Ready to use on iOS 12+, tvOS 12+, watchOS 6.0+.

### Swift Package Manager

In Xcode go to `File` -> `Packages` -> `Update to Latest Package Versions` and insert url: 

```
https://github.com/sparrowcode/SwiftBoost
```

or adding it to the `dependencies` value of your `Package.swift`:

```swift
dependencies: [
    .package(url: "https://github.com/sparrowcode/SwiftBoost", .upToNextMajor(from: "4.0.0"))
]
```

### CocoaPods:

[CocoaPods](https://cocoapods.org) is a dependency manager. For usage and installation instructions, visit their website. To integrate using CocoaPods, specify it in your `Podfile`:

```ruby
pod 'SwiftBoost'
```

### Manually

If you prefer not to use any of dependency managers, you can integrate manually. Put `Sources/SwiftBoost` folder in your Xcode project. Make sure to enable `Copy items if needed` and `Create groups`.

## Apps Using

<p float="left">
    <a href="https://apps.apple.com/app/id1498041069"><img src="https://cdn.sparrowcode.io/github/apps-using/seqvoia.png?version=2" height="65"></a>
    <a href="https://apps.apple.com/app/id875280793"><img src="https://cdn.sparrowcode.io/github/apps-using/salat.png?version=2" height="65"></a>
    <a href="https://apps.apple.com/app/id743843090"><img src="https://cdn.sparrowcode.io/github/apps-using/athan.png?version=2" height="65"></a>
    <a href="https://apps.apple.com/app/id537070378"><img src="https://cdn.sparrowcode.io/github/apps-using/quran.png?version=2" height="65"></a>
</p>
